org.eclipse.ecf.osgi.services.remoteserviceadmin

## Interface IEndpointDescriptionReader

All Known Implementing Classes:
  EndpointDescriptionReader

    public interface IEndpointDescriptionReader

Service for reading endpoint descriptions from xml-files in the Endpoint Description Extender Format (EDEF) specified in section 122.8 of the OSGi Enterprise Specification (chapter 122). The InputStream provided must be of the EDEF format, otherwise an IOException or EndpointDescriptionParseException will be thrown.

### Method Summary

All Methods Instance Methods Abstract Methods
`EndpointDescription[]` `readEndpointDescriptions(InputStream ins)` Read endpoint descriptions from the given input stream.

### Method Detail

#### readEndpointDescriptions

    EndpointDescription[] readEndpointDescriptions(InputStream ins)
                                            throws IOException,
                                                   EndpointDescriptionParseException

Read endpoint descriptions from the given input stream. The ins parameter must not be `null`, and must provide data in the Endpoint Description Extender Format (EDEF) specified in section 122.8 of the OSGi Enterprise Specification.

Parameters:
  `ins` - the input stream to read from. Must be non-`null`, and must provide data in the format specified the EDEF specification (see link above).
Returns:
  array of `EndpointDescription` instance read from the given input stream.
Throws:
  `IOException` - if the inputstream does not have valid data in the EDE format. Note that the implementation of this method may call `InputStream.close()`.
  `EndpointDescriptionParseException` - if the EDE format cannot be parsed from the input stream.